Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

## Uses of Class
jason.runtime.Settings

Packages that use Settings
jason.architecture |
jason.asSemantics |
jason.infra.centralised |
jason.infra.jade |
jason.infra.saci |
jason.mas2j |
jason.runtime |

Uses of Settings in jason.architecture

Methods in jason.architecture with parameters of type Settings
`void` | `AgArch.initAg(java.lang.String agClass, ClassParameters bbPars, java.lang.String asSrc, Settings stts)` Creates the agent class defined by agClass, default is jason.asSemantics.Agent.

Uses of Settings in jason.asSemantics

Methods in jason.asSemantics that return Settings
`Settings` | `TransitionSystem.getSettings()`

Methods in jason.asSemantics with parameters of type Settings
`TransitionSystem` | `Agent.initAg(AgArch arch, BeliefBase bb, java.lang.String asSrc, Settings stts)` Deprecated. Prefer the initAg method with only the source code of the agent as parameter. A call of this method like
         TransitionSystem ts = ag.initAg(arch, bb, asSrc, stts)
can be replaced by
         new TransitionSystem(ag, new Circumstance(), stts, arch);
         ag.setBB(bb); // only if you use a custom BB
         ag.initAg(asSrc);
         TransitionSystem ts = ag.getTS();

Constructors in jason.asSemantics with parameters of type Settings
`TransitionSystem(Agent a, Circumstance c, Settings s, AgArch ar)`

Uses of Settings in jason.infra.centralised

Methods in jason.infra.centralised with parameters of type Settings
`boolean` | `CentralisedRuntimeServices.createAgent(java.lang.String agName, java.lang.String agSource, java.lang.String agClass, java.lang.String archClass, ClassParameters bbPars, Settings stts)`
`void` | `CentralisedAgArch.initAg(java.lang.String agArchClass, java.lang.String agClass, ClassParameters bbPars, java.lang.String asSrc, Settings stts, RunCentralisedMAS masRunner)` Creates the user agent architecture, default architecture is jason.architecture.AgArch.

Uses of Settings in jason.infra.jade

Methods in jason.infra.jade with parameters of type Settings
`boolean` | `JadeRuntimeServices.createAgent(java.lang.String agName, java.lang.String agSource, java.lang.String agClass, java.lang.String archClass, ClassParameters bbPars, Settings stts)`

Uses of Settings in jason.infra.saci

Methods in jason.infra.saci with parameters of type Settings
`boolean` | `SaciRuntimeServices.createAgent(java.lang.String agName, java.lang.String agSource, java.lang.String agClass, java.lang.String archClass, ClassParameters bbPars, Settings stts)`

Uses of Settings in jason.mas2j

Methods in jason.mas2j that return Settings
`Settings` | `AgentParameters.getAsSetts(boolean debug, boolean forceSync)`

Uses of Settings in jason.runtime

Methods in jason.runtime with parameters of type Settings
`boolean` | `RuntimeServicesInfraTier.createAgent(java.lang.String agName, java.lang.String agSource, java.lang.String agClass, java.lang.String archClass, ClassParameters bbPars, Settings stts)` Creates a new agent with agName from source agSource, using agClass as agent class (default value is jason.asSemantics.Agent), archClass as agent architecture class (default value is jason.architecture.AgArch), bbPars as the belief base class (default value is DefaultBeliefBase), and stts as Settings (default value is new Settings()).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES